Submit a reporter output
curl --request POST \
--url https://softmax.com/api/observatory/v2/reporters/outputs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/octet-stream' \
--data '"<string>"'import requests
url = "https://softmax.com/api/observatory/v2/reporters/outputs"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/octet-stream'},
body: JSON.stringify('<string>')
};
fetch('https://softmax.com/api/observatory/v2/reporters/outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"reporter_id": "<string>",
"reporter_run_id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"content_hash": "<string>",
"media_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Reporters
Submit a reporter output
Stores one declared output part for a running reporter run or an external reporter. A run output with the same name is replaced.
POST
/
v2
/
reporters
/
outputs
Submit a reporter output
Authorizations
Bearer token issued by Softmax
Headers
Submission key for an external reporter.
Query Parameters
Declared name of the output part.
Required string length:
1 - 100Declared type of the output part.
Media type for a file output.
Body
application/octet-stream
Raw output body in the format declared by type.
Raw output bytes.
Response
Successful Response
Output part ID.
Reporter that produced the output.
Run that produced the output. External submissions return null.
Declared output part name.
Declared output part type.
Output size in bytes.
SHA-256 digest of the output body.
Media type supplied for a file output, if any.
Time the output was stored.
Relative URL for downloading the output body.